# This spec is backported to ALTLinux 4.1 automatically by rpmbph script. Do not edit it.
#
Summary: QScintilla is a port to Qt of Neil Hodgson's Scintilla C++ editor class
Name: qscintilla2
Version: 2.3
Release: alt0.M41.3
License: GPL
Group: Development/KDE and QT
Source: qscintilla-gpl-%version.tar.gz
Patch: qscintilla-2.2-alt-allinone.patch

Packager: Boris Savelev <boris@altlinux.org>
Url: http://www.riverbankcomputing.co.uk/software/qscintilla/

# Automatically added by buildreq on Sun Oct 12 2008
BuildRequires: gcc-c++ libqt3-devel libqt4-devel
BuildRequires: python-module-PyQt4-devel python-module-qt-devel python-module-sip-devel

BuildRequires: rpm-build-compat >= 0.95

%description
Qscintilla is a free source code editing component. It comes with complete
source code and a license that permits use in any free project or commercial
product. As well as features found in standard text editing components,
Scintilla includes features especially useful when editing and debugging
source code. These include support for syntax styling, error indicators, code
completion and call tips. The selection margin can contain markers like those
used in debuggers to indicate breakpoints and the current line. Styling
choices are more open than with many editors, allowing the use of proportional
fonts, bold and italics, multiple foreground and background colours and
multiple fonts.

%package -n lib%name-qt3
Summary: QScintilla is a port to Qt of Neil Hodgson's Scintilla C++ editor class. e
Group: Development/KDE and QT
Conflicts: libqscintilla

%description -n lib%name-qt3
Qscintilla is a free source code editing component. It comes with complete
source code and a license that permits use in any free project or commercial
product. As well as features found in standard text editing components,
Scintilla includes features especially useful when editing and debugging
source code. These include support for syntax styling, error indicators, code
completion and call tips. The selection margin can contain markers like those
used in debuggers to indicate breakpoints and the current line. Styling
choices are more open than with many editors, allowing the use of proportional
fonts, bold and italics, multiple foreground and background colours and
multiple fonts.

%package -n lib%name-qt4
Summary: QScintilla is a port to Qt of Neil Hodgson's Scintilla C++ editor class. e
Group: Development/KDE and QT

%description -n lib%name-qt4
Qscintilla is a free source code editing component. It comes with complete
source code and a license that permits use in any free project or commercial
product. As well as features found in standard text editing components,
Scintilla includes features especially useful when editing and debugging
source code. These include support for syntax styling, error indicators, code
completion and call tips. The selection margin can contain markers like those
used in debuggers to indicate breakpoints and the current line. Styling
choices are more open than with many editors, allowing the use of proportional
fonts, bold and italics, multiple foreground and background colours and
multiple fonts.

%package -n lib%name-qt3-devel
Requires: lib%name-qt3 = %version-%release
Summary: Header files for %name
Group: Development/KDE and QT

%description -n lib%name-qt3-devel
Header files for %name

%package -n lib%name-qt4-devel
Requires: lib%name-qt4 = %version-%release
Summary: Header files for %name
Group: Development/KDE and QT

%description -n lib%name-qt4-devel
Header files for %name

%package -n lib%name-qt3-designer
Requires: lib%name-qt3 = %version-%release
Summary: QScintilla designer plugin
Group: Development/KDE and QT

%description -n lib%name-qt3-designer
QScintillla designer plugin.

%package -n lib%name-qt4-designer
Requires: lib%name-qt4 = %version-%release
Summary: QScintilla designer plugin
Group: Development/KDE and QT

%description -n lib%name-qt4-designer
QScintillla designer plugin.

%package -n lib%name-qt3-python
Requires: lib%name-qt3 = %version-%release
Summary: Python bindings for %name
Group: Development/KDE and QT

%description -n lib%name-qt3-python
Python bindings for %name

%package -n lib%name-qt4-python
Requires: lib%name-qt4 = %version-%release
Summary: Python bindings for %name
Group: Development/KDE and QT

%description -n lib%name-qt4-python
Python bindings for %name

%package -n lib%name-qt3-python-devel
Requires: lib%name-qt3-python = %version-%release
Summary: Python bindings for %name
Group: Development/KDE and QT
BuildArch: noarch

%description -n lib%name-qt3-python-devel
Devel files for Python bindings for %name

%package -n lib%name-qt4-python-devel
Requires: lib%name-qt4-python = %version-%release
Summary: Python bindings for %name
Group: Development/KDE and QT
BuildArch: noarch

%description -n lib%name-qt4-python-devel
Devel files for Python bindings for %name

%package -n lib%name-doc
Summary: Documentation for %name
Group: Development/KDE and QT
BuildArch: noarch

%description -n lib%name-doc
Documentation for %name

%prep
%setup -n QScintilla-gpl-%version
%patch0 -p1
cp -a Python Python-qt4
mv Python Python-qt3

%build
# Qt3
pushd Qt3
qmake-qt3 qscintilla.pro
%make_build
popd

# Designer for Qt3
pushd designer-Qt3
qmake-qt3 designer.pro
%make_build
popd

# Qt4
pushd Qt4
qmake-qt4 qscintilla.pro
%make_build
popd

# Designer for Qt4
pushd designer-Qt4
qmake-qt4 designer.pro
%make_build
popd

# Python bindings
pushd Python-qt3
%__python configure.py -p 3 -n ../Qt3 -o ../Qt3
STR=`cat Makefile | grep "LFLAGS ="`
sed -i "s:$STR:$STR,-rpath,%_qt3dir/lib:g" Makefile
%make
popd

# Python bindings for PyQt4
pushd Python-qt4
%__python configure.py -p 4 -n ../Qt4 -o ../Qt4
%make_build
popd

%install
# Python bindings
pushd Python-qt3
%makeinstall_std
popd

# Python bindings for PyQt4
pushd Python-qt4
%makeinstall_std
popd

mkdir -p %buildroot%python_sitelibdir/PyQt4
mkdir -p %buildroot%_includedir/{qt3,qt4}/Qsci
mkdir -p %buildroot%_libdir/{qt3,qt4}/{lib,translations,plugins/designer}
mkdir -p %buildroot%_datadir/sip/qsci
mkdir -p %buildroot%_datadir/{qt3,qt4}/qsci/api/python

# Qt3 library
install Qt3/lib%name.so.*.*.* %buildroot%_qt3dir/lib
install Qt3/*.qm %buildroot%_qt3dir/translations
pushd %buildroot%_qt3dir/lib
ln -s lib%name.so.*.*.* `ls lib%name.so.*.*.* | sed s/\.[0-9]$//`
ln -s lib%name.so.*.*.* `ls lib%name.so.*.*.* | sed s/\.[0-9]\.[0-9]$//`
ln -s lib%name.so.*.*.* `ls lib%name.so.*.*.* | sed s/\.[0-9]\.[0-9]\.[0-9]$//`
popd

# Qt4 library
install Qt4/lib%name.so.*.*.* %buildroot%_libdir
install Qt4/*.qm %buildroot%_qt4dir/translations
pushd %buildroot%_libdir
ln -s lib%name.so.*.*.* `ls lib%name.so.*.*.* | sed s/\.[0-9]$//`
ln -s lib%name.so.*.*.* `ls lib%name.so.*.*.* | sed s/\.[0-9]\.[0-9]$//`
ln -s lib%name.so.*.*.* `ls lib%name.so.*.*.* | sed s/\.[0-9]\.[0-9]\.[0-9]$//`
popd
pushd %buildroot%_qt4dir/lib
for libname in ../../lib%name.*; do
ln -s $libname ./
done
popd

# Qt3 designer
install designer-Qt3/libqscintillaplugin.so %buildroot%_qt3dir/plugins/designer

# Qt4 designer
install designer-Qt4/libqscintillaplugin.so %buildroot%_qt4dir/plugins/designer

# Qt3 headers
install Qt3/*.h %buildroot%_includedir/qt3
install Qt3/Qsci/*.h %buildroot%_includedir/qt3/Qsci

# Qt4 headers
install Qt4/*.h %buildroot%_includedir/qt4
install Qt4/Qsci/*.h %buildroot%_includedir/qt4/Qsci

# docs
mkdir -p %buildroot%_docdir/lib%name-%version
cp -a doc/Scintilla %buildroot%_docdir/lib%name-%version
cp -a doc/html-Qt3 %buildroot%_docdir/lib%name-%version
cp -a doc/html-Qt4 %buildroot%_docdir/lib%name-%version

%post -n lib%name-qt4
%post_ldconfig

%postun -n lib%name-qt4
%postun_ldconfig
%files -n lib%name-qt3
%_qt3dir/lib/*.so.*
%_qt3dir/translations/*

%files -n lib%name-qt4
%_qt4dir/lib/*.so.*
%_libdir/*.so.*
%_qt4dir/translations/*

%files -n lib%name-qt3-devel
%_includedir/qt3/*.h
%_includedir/qt3/Qsci
%_qt3dir/lib/*.so

%files -n lib%name-qt4-devel
%_includedir/qt4/*.h
%_includedir/qt4/Qsci
%_qt4dir/lib/*.so
%_libdir/*.so

%files -n lib%name-qt3-designer
%_qt3dir/plugins/designer/*.so

%files -n lib%name-qt4-designer
%_qt4dir/plugins/designer/*.so

%files -n lib%name-qt3-python
%python_sitelibdir/qsci.so
%_qt3dir/qsci

%files -n lib%name-qt3-python-devel
%_datadir/sip/qsci

%files -n lib%name-qt4-python
%python_sitelibdir/PyQt4/Qsci.so
%_datadir/qt4/qsci/api/python/*.api

%files -n lib%name-qt4-python-devel
%_datadir/sip/PyQt4/Qsci

%files -n lib%name-doc
%_docdir/lib%name-%version

%changelog
* Tue Oct 28 2008 Boris Savelev <boris@altlinux.org> 2.3-alt0.M41.3
- backport to ALTLinux 4.1 (by rpmbph script)

* Wed Oct 15 2008 Boris Savelev <boris@altlinux.org> 2.3-alt3
- add rpath to lib%name-qt3-python (fix #17560)
- lib%name-qt?-python-devel become noarch
- remove post and postun for lib%name-qt3
- clean spec

* Tue Oct 14 2008 Boris Savelev <boris@altlinux.org> 2.3-alt2
- doc become noarch

* Sat Oct 11 2008 Boris Savelev <boris@altlinux.org> 2.3-alt1
- new version

* Fri May 02 2008 Gennady Kovalev <gik@altlinux.ru> 2.2-alt2
- Version 2.2

* Fri Jan 04 2008 Gennady Kovalev <gik@altlinux.ru> 2-alt1.20080103
- Version 2, 20080103 snapshot
 + fixed python dependency
 + fixed RPATH bug during build

* Wed Jan 02 2008 Gennady Kovalev <gik@altlinux.ru> 2-alt2.20071223
- Fixed symlinks in lib

* Mon Dec 31 2007 Gennady Kovalev <gik@altlinux.ru> 2-alt1.20071223
- Version 2, 20071223 snapshot

* Wed Jan 11 2006 Ivan Fedorov <ns@altlinux.ru> 1.6-alt1
- 1.6

* Sat Mar 12 2005 Ivan Fedorov <ns@altlinux.ru> 1.5.1-alt1
- 1.5.1

* Mon Feb 21 2005 Ivan Fedorov <ns@altlinux.ru> 1.5-alt1
- 1.5

* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.4-alt1.1
- Rebuilt with libstdc++.so.6.

* Tue Sep 21 2004 Eugene V. Horohorin <genix@altlinux.org> 1.4-alt1
- new release
- spec clean up
- Rex Dieter's patch for qt-designer plugin: don't require an already installed
  qscintilla-devel

* Tue May 18 2004 Serge V. Sergeev <ssv@altlinux.ru> 1.3-alt1
- new release
- appropriate spec changes

* Thu Dec 11 2003 Serge V. Sergeev <ssv@altlinux.ru> 1.2-alt1
- new release

* Tue Jul 08 2003 Serge Sergeev <ssv@altlinux.ru> 1.1-alt1
- new release
- add define subver
- some minor changes

* Thu Apr 10 2003 Serge Sergeev <ssv@altlinux.ru> 0.4-alt0.1
- New release from snapshot

* Mon Dec 23 2002 Serge Sergeev <ssv@altlinux.ru> 0.3-alt1.2
- fixed install section

* Fri Dec 20 2002 Serge Sergeev <ssv@altlinux.ru> 0.3-alt1.1
- build from snapshot (corrects encodings)

* Tue Dec 17 2002 Serge Sergeev <ssv@altlinux.ru> 0.3-alt1
- Initial release

